Bug 60923 - gcc 3.1 internal compiler error
gcc 3.1 internal compiler error
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2002-03-08 23:37 EST by ellson
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version: 3.2.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-05 12:01:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
pre-processed c source (123.63 KB, patch)
2002-03-08 23:39 EST, ellson
no flags Details | Diff

  None (edit)
Description ellson 2002-03-08 23:37:29 EST
Description of Problem:
$ gcc -O2 -c exeval.E.c    
exeval.c: In function `eval':
exeval.c:1219: Internal compiler error in convert_move, at expr.c:500
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Version-Release number of selected component (if applicable):
gcc (GCC) 3.1 20020307 (Red Hat Linux Rawhide 3.1-0.22)

How Reproducible:

Steps to Reproduce:
1. gcc -O2 -c exeval.E.c

Actual Results:

Expected Results:

Additional Information:
This problem is new with today's gcc update.
Comment 1 ellson 2002-03-08 23:39:01 EST
Created attachment 48000 [details]
pre-processed c source
Comment 2 Jakub Jelinek 2003-08-05 12:01:36 EDT
This should be fixed in gcc-3.1-0.23 and later.

Note You need to log in before you can comment on or make changes to this bug.